Skip to main content
POST
/
api
/
v1
/
agent
/
{agent_id}
/
webhook
/
test-tool
/
{tool_name}
Test Tools Webhook
curl --request POST \
  --url https://dev.voice.ai/api/v1/agent/{agent_id}/webhook/test-tool/{tool_name} \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "message": "<string>",
  "results": [
    {
      "url": "<string>",
      "success": true,
      "attempts": 123,
      "status_code": 123,
      "error": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your API key as the bearer token. Format: Authorization: Bearer

Path Parameters

agent_id
string<uuid>
required

The agent ID that owns the tools webhook

tool_name
string
required

Name of the tools webhook to test

Response

Tools webhook test result

Response from webhook test endpoint

status
enum<string>
required

Test result status

Available options:
success,
failed
message
string
required

Human-readable result description

results
WebhookTestResult · object[]
required

Per-endpoint delivery results